<?php
namespace Teknisa\CNC\Factories;

use Doctrine\ORM\EntityManager;

class TipoReceFactory {

    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }

    public function getReceive($row){
        $sql = "SELECT DAT.CDTIPORECE, DAT.NMTIPORECE, DAT.LABELTIPORECE, 
         N FROM
               (SELECT D.*, ROWNUM as N 
                FROM 
                     (SELECT  NMTIPORECE, CDTIPORECE, CDTIPORECE||' - '||NMTIPORECE AS LABELTIPORECE,  IDTIPORECE, NRORG
                       FROM TIPORECE
                       WHERE UPPER (CDTIPORECE||' - '||NMTIPORECE) LIKE UPPER (:LABELTIPORECE)
                       ) D ) DAT 
            WHERE DAT.NRORG = :NRORG
            AND DAT.IDTIPORECE IN ('1', '2', '5')
            ORDER BY LABELTIPORECE";
        $std = $this->connection->prepare($sql);
        $std->execute($row);
        return $std->fetchAll();
    }

}
